<?php

if(empty($_REQUEST['manufacturer_id'])) {
    echo "ERROR!!! Please go through search page: ";
    echo "<a href='https://apchang.webdev.iyaserver.com/acad276/exam_1008/search.php'> Go Back to Search Page</a>";
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();
}

?>
<!DOCTYPE html>

<html>

<head lang="en">
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>
        .container {
            width:  600px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color:   #900;
            color:  #FC0;
            height: 60px;
            line-height: 60px;
        }
        .num-results {
            margin: 20px 10px;
        }

        table {
            margin: auto;
            margin-bottom: 20px;
            width:  80%;
            border-collapse: collapse;
        }

        th, td {
            border: 1px solid #900;
            border-collapse: collapse;
            padding:    10px;
            text-align: center;
        }

        img {
            width: 100px;
        }

        .nav-link{
            margin: 10px 0px;
            font-size: 14px;
        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">
    <?php
    $sql = 	"SELECT * FROM devices WHERE devices.name";
    if($_REQUEST["device_name"] != "ALL") {
        $sql = $sql . " AND name LIKE '%" .
            $_REQUEST["device_name"] . "%'";
    }
    // --------- If TYPES is not ALL, then sql will use the wildcard "%" and display all Classes -------------
    $sql = 	"SELECT * FROM types";
    if($_REQUEST["type_id"] != "ALL") {
        $sql = $sql . " AND type LIKE '%" .
            $_REQUEST["type_id"] . "%'";
    }

    // --------- If MANUFACTURER is not ALL, then sql will use the wildcard "%" and display all manufacturers -------------
    $sql = 	"SELECT * FROM manufacturers";
    if($_REQUEST["manufacturer_id"] != "ALL") {
        $sql = $sql . " AND manufacturer LIKE '%" .
            $_REQUEST["manufacturer_id"] . "%'";
    }
    // --------- If SYSTEM is not ALL, then sql will use the wildcard "%" and display all manufacturers -------------
    $sql = 	"SELECT * FROM devices WHERE devices.system_id=systems.system";
    if($_REQUEST["system_id"] != "ALL") {
        $sql = $sql . " AND systems LIKE '%" .
            $_REQUEST["system_id"] . "%'";
    }

    // --------------------------- SORT ORDER --------------------------------
    //if ($_REQUEST["sortorder"] == "ASCENDING"){
    //    $sql = $sql . "ORDER BY class ASC";
    //}
    //else {
    //    $sql = $sql . "ORDER BY class DESC";
    //}
    echo "<hr> $sql <hr>";


    //if($_REQUEST['manufacturer_id'] != "ALL") {
    //    $sql .= " AND manufacturer_id ='" . $_REQUEST["manufacturer_id"] . "'";
    //}

    //if($_REQUEST['system_id'] != "ALL") {
    //    $sql .=		" AND system_id = '" . $_REQUEST["system_id"] . "'";
    //}

    //if($_REQUEST['type_id'] != "ALL") {
    //    $sql .=		" AND type_id = '" . $_REQUEST["type_id"] . "'";
    //}



//submit SQL to database, store returned records in $RESULTS
    $results = $mysql->query($sql);

    if(!$results) {
        echo "<hr>Your SQL:<br> " . $sql . "<br><br>";
        echo "SQL Error: " . $mysql->error . "<hr>";
        exit();
    }
    echo "<h3>Thank you for your Mobile Device Search!</h3> ";
    //echo "Your search items were: " . $class. " and ". $room. "<br> " ;

    echo "<em>Your results returned <strong>" .
                $results->num_rows .
                "</strong> results.</em>";
    echo "<br><br>";
    ?>

    </div>


<?php

    echo"<table>";
    echo"<tr>   
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
        </tr>";

while ($currentrow = $results->fetch_assoc()) {
    echo "<tr>";
    echo "<td>" . $currentrow["name"] . "</td>";  //Name
    echo "<td>" . $currentrow["price"] . "</td>";  // Price
    echo "<td>" . $currentrow["manufacturer_id"] . "</td>";  // Manufacturer
    echo "<td>" . $currentrow["sydtem"] . "</td>"; // SYSTEM
    echo "<td>" . $currentrow["types.type"] . "</td>"; // Type
    echo "</tr>";
}

// next step is to make each of the names in the result page link to the details page
while($currentrow = $results->fetch_assoc()) {
echo "<div class='title'><strong>" .
    "<a href='details.php?id=" . $currentrow["dvd_title_id"]."'>".
    $currentrow['title'] .
    "</a></strong>".
    " (<em>Rated " . $currentrow['rating'] . "</em>) </div>" .
    "<div class='link''>" . "  " . "</div>"  .
    "<br style='clear:both;'>";

echo   "</table>";}
?>


</div>

</body>

</html>
